io.undertow.util

## Class FlexBase64.EncoderOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - io.undertow.util.FlexBase64.EncoderOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

Enclosing class:
  FlexBase64

    public static class FlexBase64.EncoderOutputStream
    extends OutputStream

An output stream which base64 encodes all passed data and writes it to the wrapped target output stream.

Closing this stream will result in the correct padding sequence being written. However, as required by the OutputStream contract, the wrapped stream will also be closed. If this is not desired, the `complete()` method should be used.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `complete()` Completes the stream, writing out base64 padding characters if needed.
`void` `flush()`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

### Methods inherited from class java.io.OutputStream

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### write

    public void write(int b)
               throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### flush

    public void flush()
               throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`

#### complete

    public void complete()
                  throws IOException

Completes the stream, writing out base64 padding characters if needed.

Throws:
  `IOException` - if the underlying stream throws one

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`